Jump to content

site moved to VPS, cant get in


GoAncestry
 Share

Recommended Posts

I had my hosting company move the site to a VPS server last night.

Site is now down completely and I get this when I try to browse to the index.

[an error occurred while processing this directive]

 

When I try to go to admin page I get ..

We're sorry, but a temporary technical error has occurred which means we cannot display this site right now. 

Access denied for user 'sharkopt_ronald'@'localhost' (using password: YES)

You can try again by clicking the button below, or try again later. 

 

Any help to direct my troubleshooting would be appreciated.  

Link to comment
Share on other sites

20 minutes ago, GoAncestry said:

Access denied for user 'sharkopt_ronald'@'localhost' (using password: YES)

look's like the sql is trying to connect to localhost and not your VPS, go to your conf_global.php file for the database details

Edited by TheJackal84
Link to comment
Share on other sites

There's no reason that it couldn't be localhost (ie the database is on the same server as the files).

What's happening there is that the site is unable to access the database using the credentials stored in conf_global.php.

First steps would be to confirm that the database was recreated when your files were moved to the new server. If it wasn't you'll need to create it and add your backup. If it already exists, check its name, the user name assigned to it, and the user's password, confirming they're what is stored in conf_global.php. If they're not, update the file to reflect the new details.

Link to comment
Share on other sites

Not sure why my password changed on the site move, but the password I have for the DB user was no longer meeting security requirements so I have to change it in the conf file and then the site came back into view.

 

Now to see if I can make sure things are working and upgrade PHP and MySQL so I can go to 4.4

 

Thanks for the assists.

Link to comment
Share on other sites

Cpanel, I got the site back, the dbs back, upgraded to PHP 7.1

 

Now I am stuck on upgrade and get this error:

UPDATE `core_permission_index` core_permission_index  SET perm_type=CONCAT( perm_type, '_', (SELECT category_database_id FROM `cms_database_categories` WHERE category_id=perm_type_id) ) WHERE app=? AND perm_type=?
Link to comment
Share on other sites

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...